Skip to main content
List all binary images associated with a product.

When to Use This Endpoint

Use this endpoint to iterate through your firmware inventory or find a specific image ID based on version or name.

Request

Endpoint
GET <BINARLY_API_URL>/api/v4/products/{productId}/images
Path Parameters
ParameterRequiredDescription
productId✅Product ID to list images for
Headers
HeaderValue
AuthorizationBearer <access_token>

Example Request

BINARLY_PRODUCT_ID="01JQPGDX8QW0YJ0XEKV1EVG534"

curl -s \
  -H "Authorization: Bearer ${TOKEN}" \
  "${BINARLY_API_URL}/api/v4/products/${BINARLY_PRODUCT_ID}/images"

Response

{
  "images": [
    {
      "id": "01JYJ0W0AACGC7QT1Q21SRWG94",
      "name": "Firmware v1.2",
      "version": "1.2.0"
    }
  ]
}
FieldDescription
imagesArray of image objects